Search Engine: Elastic

Article ID: 130480, created on Mar 21, 2017, last review on Jun 13, 2017

  • Applies to:
  • Operations Automation 7.0

Symptoms

Upgrade to Odin Automation Premium 7.1 is not possible because of failed prechecks. The precheck report and log contain a message that you are using the Linux Shared module and before upgrading Odin Automation to version 7.1, you must perform some steps.

Resolution

The "OA 7.0.1 HOTFIX 130483 WebHosting" hotfix must be installed on Odin Automation. To install the hotfix, use the instructions in this article

Before upgrading Odin Automation to version 7.1, you must run a special script called "webhosting-linux-upgrade-assistant", which will update all Shared Hosting Linux NG subscriptions and service templates.

The procedure does not affect the performance of provisioning or other operations and it does not require downtime and restart of a service. However, we recommend that you run the script when there is a minimal load on your Odin Automation installation.

To run the script, perform the following steps:

  1. Download the web-hosting-linux-upgrade-assistant script to the Odin Automation management node.
  2. Issue the command: chmod +x ./web-hosting-linux-upgrade-assistant
  3. Issue the command: ./web-hosting-linux-upgrade-assistant --update

You can stop the script at any time and continue the execution later. To stop the script, press CTRL+C and wait for the script to finish.

The script does not update suspended and disabled subscriptions. You can update them manually after upgrade to 7.1.

How to determine the number of subscriptions and service templates that need updating:

Issue the command ./web-hosting-linux-upgrade-assistant --stats

5356b422f65bdad1c3e9edca5d74a1ae caea8340e2d186a540518d08602aa065 e12cea1d47a3125d335d68e6d4e15e07 0871c0b47b3b86ae3b1af4c2942cd0ce 1941880841f714e458ae4dc3d9f3062d

Email subscription for changes to this article
Save as PDF